/***************************************************************************
 * <Description>
 * NFCHelp.cs (Casio Computer Co., Ltd.)
 * -------------------------------------------------------------------------
 * <Function outline>
 * NFC IC Card reading help program
 * -------------------------------------------------------------------------
 * <Language>
 * C#.NET
 * -------------------------------------------------------------------------
 * <Develop Environment>
 * VS 2005
 * -------------------------------------------------------------------------
 * <Target>
 * DT-5300 WM / IT-800 WM model
 * -------------------------------------------------------------------------
 * Copyright(C)2009 CASIO COMPUTER CO.,LTD. All rights reserved.
 * -------------------------------------------------------------------------
 * <History>
 * Version  Date            Company     Keyword     Comment
 * 1.0.0    2009.10.14      CASIO       000000      Original      
 * 
 ***************************************************************************/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace NFCLibSampleWMCS
{
    public partial class NFCHelp : Form
    {
        public NFCHelp()
        {
            InitializeComponent();
        }

        int iCnt;

        private void NFCHelp_Load(object sender, EventArgs e)
        {
            iCnt = 0;
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void PictureBox1_Click(object sender, EventArgs e)
        {
            iCnt = iCnt + 1;
            iCnt = iCnt % 3;

            switch (iCnt)
            {
                case 0:
                    PictureBox1.Image = PictureBox2.Image;
                    break;
                case 1:
                    PictureBox1.Image = PictureBox3.Image;
                    break;
                case 2:
                    PictureBox1.Image = PictureBox4.Image;
                    break;
            }
        }


    }
}