/******************************************************************************
*  prnDemoStrings.cpp                                                         *
*                                                                             *
*  Project : Printer Demo Application for IT-3000                             *
*  Date    : 2004-03-05                                                       *
*  Version : 1.0.0                                                            *
*                                                                             *
*  Copyright (C) 2004, CASIO COMPUTER CO.,Ltd. All rights reserved.           *
*                                                                             *
******************************************************************************/
#include "PrinterLibSampleVC.h"


//-----------------------------------------------------------------------------
//		Dialog Strings
//-----------------------------------------------------------------------------
TCHAR const c_szAPNAME[]       = TEXT("Printer Demo Application");
TCHAR const c_szFORMS[]        = TEXT("Print Character");
TCHAR const c_szGRAPHIC[]      = TEXT("Print Graphic");
TCHAR const c_szSCREEN[]       = TEXT("Print Screen");
TCHAR const c_szSTAMP[]        = TEXT("Stamp");
TCHAR const c_szEXTCHAR[]      = TEXT("User Defined Character");
TCHAR const c_szCONFERM[]      = TEXT("Confirmation");
TCHAR const c_szPRINTFINISH[]  = TEXT("Printing was completed.");
TCHAR const c_szREGISTFINISH[] = TEXT("Registration was completed.");
TCHAR const c_szMAXWINDOW[]    = TEXT("Maximization");
TCHAR const c_szEXIT[]         = TEXT("Exit");


//-----------------------------------------------------------------------------
//		Error Message
//-----------------------------------------------------------------------------
const static LPCTSTR errorMsg[] = {
		TEXT("NORMAL"), 									// PRN_NORMAL(0)
		TEXT("Printer is not opened."), 					// PRN_NOTOPEN
		TEXT("Printer driver is not loaded."),				// PRN_DRIVER_NOTEXIST
		TEXT("Printer is already opened."), 				// PRN_ALREADY_OPEN
		TEXT("Can not detect a marker."),					// PRN_NOTFOUND
		TEXT("Can not change paper width to 80mm."),		// PRN_NOTCHANGE
		TEXT("File is not exist."),							// PRN_FILE_NOTEXIST
		TEXT("File format error. "),						// PRN_FILEFORMAT_ERROR
		TEXT("File open error."),							// PRN_FILEOPEN_ERROR
		TEXT("Parameter error."),							// PRN_PARAMETER_ERROR
		TEXT("Hardware of a printer is failer."),			// PRN_HARDWARE_ERROR
		TEXT("Platen open."),								// PRN_PLATEN_OPEN
		TEXT("Paper end."),									// PRN_PAPER_END
		TEXT("VDETP occurred."),							// PRN_VDETP_OCCURRED
		TEXT("Suspend  occurred."),							// PRN_SUSPEND_OCCURRED
		TEXT("Head temperature error."),					// PRN_HEADTEMP_ERROR
		TEXT("Executing Autoloading."),						// PRN_AUTOLOADING
		TEXT("Executing paper feed by FeedKey."),			// PRN_FEEDKEY_ERROR
		TEXT("Paper width is set in 58mm."),				// AP_ERROR_WIDTH
		TEXT("")
};

//-------------------------- End Of File ----------------------------------------------
