/***************************************************************************
 * <Description>
 * Form_Main.cs (Casio Computer Co., Ltd.)
 * -------------------------------------------------------------------------
 * <Function outline>
 * System Library Demo program
 * -------------------------------------------------------------------------
 * <Language>
 * C#.NET
 * -------------------------------------------------------------------------
 * <Develop Environment>
 * VS 2005
 * -------------------------------------------------------------------------
 * <Target>
 * DT-5300 WM / IT-800 WM model
 * -------------------------------------------------------------------------
 * Copyright(C)2010 CASIO COMPUTER CO.,LTD. All rights reserved.
 * -------------------------------------------------------------------------
 * <History>
 * Version  Date            Company     Keyword     Comment
 * 1.0.0    2010.02.16      CASIO       000000      Original      
 * 
 ***************************************************************************/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SystemLibSampleCSWM
{
    public partial class Form_Main : Form
    {
        public Form_Main()
        {
            InitializeComponent();
        }

        private void menuLED_Click(object sender, EventArgs e)
        {
            Form f1 = new Form_LED();
            f1.ShowDialog();
        }

        private void menuBUZZER_Click(object sender, EventArgs e)
        {
            Form f1 = new Form_BUZZER();
            f1.ShowDialog();
        }

        private void menuVIBRATOR_Click(object sender, EventArgs e)
        {
            Form f1 = new Form_VIBRATOR();
            f1.ShowDialog();
        }

        private void menuEXIT_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}