'***************************************************************************
'* <Description>
'* CommonFunc.vb (Casio Computer Co., Ltd.)
'* -------------------------------------------------------------------------
'* <Function outline>
'* System Library Demo program
'* -------------------------------------------------------------------------
'* <Language>
'* VB.NET
'* -------------------------------------------------------------------------
'* <Develop Environment>
'* VS 2005
'* -------------------------------------------------------------------------
'* <Target>
'* DT-5300 WM / IT-800 WM model
'* -------------------------------------------------------------------------
'* Copyright(C)2010 CASIO COMPUTER CO.,LTD. All rights reserved.
'* -------------------------------------------------------------------------
'* <History>
'* Version  Date            Company     Keyword     Comment
'* 1.0.0    2010.02.16      CASIO       000000      Original      
'* 
'***************************************************************************/
Module CommonFunc
    Public Sub ShowErrorMessage(ByVal strCaption As String, ByVal dwStatus As Int32)
        Dim strTitle As String
        Dim strMsg As String

        If (dwStatus = Calib.SystemLibNet.Def.SYS_PARAMERR) Then
            strMsg = "The invalid parameter was set up."

        ElseIf (dwStatus = Calib.SystemLibNet.Def.FUNCTION_UNSUPPORT) Then
            strMsg = "Function unsupport"

        Else
            Return
        End If

        If (strCaption.Length > 0) Then
            strTitle = strCaption

        Else
            strTitle = "SystemLibSampleVBWM"
        End If
        MessageBox.Show(strMsg, strTitle, MessageBoxButtons.OK, MessageBoxIcon.None, MessageBoxDefaultButton.Button1)
    End Sub

End Module
