Imports System.Collections.Generic
Imports System.ComponentModel
'Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports System.Runtime.InteropServices
Imports System.IO
Imports Calib

Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
    End Sub

    <DllImport("coredll.dll")> _
    Public Shared Function GetForegroundWindow() As IntPtr
    End Function

    Public Const MCR_TRUE As Int32 = 1
    Public Const MCR_FALSE As Int32 = 0

    Public Const WM_USER As Int32 = &H400
    Public Const WM_MSR_READING As Int32 = (WM_USER + &H528)

    Private Sub MCReadLibSampleCEVB_GotFocus(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.GotFocus
        Dim hwnd As IntPtr
        Dim iRet As Int32

        hwnd = GetForegroundWindow()

        iRet = MCReadLibNet.Api.MCROpen(hwnd)

        If iRet <> CType(MCReadLibNet.Def.STATUS.MCR_DATA_SUCCESS, Int32) Then
            Return
        End If

        MCReadLibNet.Api.MCRSetEventNotification(True)

        Application.DoEvents()
    End Sub

    Private Sub menuItem2_Select(ByVal sender As Object, ByVal e As EventArgs)
        MCReadLibNet.Api.MCRClose()
        Me.Close()
    End Sub

    Private Sub MCReadLibSampleCEVB_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim iRet As Int32
        Dim pDataJIS2 As Byte() = New Byte(127) {}
        Dim pDataISO1 As Byte() = New Byte(127) {}
        Dim pDataISO2 As Byte() = New Byte(127) {}
        Dim pDataISO3 As Byte() = New Byte(127) {}
        Dim nStatJIS2 As Int32
        Dim nStatISO1 As Int32
        Dim nStatISO2 As Int32
        Dim nStatISO3 As Int32
        Dim str As String
        Dim wint As Integer
        Dim i As Integer

        iRet = MCReadLibNet.Api.MCRGetStatus()
        If iRet = CType(MCReadLibNet.Def.STATUS.MCR_DATA_SUCCESS, Int32) Then
            iRet = MCReadLibNet.Api.MCRRead(pDataJIS2, pDataISO1, pDataISO2, pDataISO3, nStatJIS2, nStatISO1, _
             nStatISO2, nStatISO3)

            If nStatISO1 = CType(MCReadLibNet.Def.STATUS.MCR_DATA_SUCCESS, Int32) Then
                str = ""
                For i = 0 To 75
                    wint = CInt(pDataISO1(i))
                    str += wint.ToString("X2")
                    str += " "
                Next
                TextTrack1.Text = str
            Else
                TextTrack1.Text = "No Read"
            End If
            If nStatISO2 = CType(MCReadLibNet.Def.STATUS.MCR_DATA_SUCCESS, Int32) Then
                str = ""
                For i = 0 To 36
                    wint = CInt(pDataISO2(i))
                    str += wint.ToString("X2")
                    str += " "
                Next

                TextTrack2.Text = str
            Else
                TextTrack2.Text = "No Read"
            End If
            If nStatISO3 = CType(MCReadLibNet.Def.STATUS.MCR_DATA_SUCCESS, Int32) Then
                str = ""
                For i = 0 To 103
                    wint = CInt(pDataISO3(i))
                    str += wint.ToString("X2")
                    str += " "
                Next
                TextTrack3.Text = str
            Else
                TextTrack3.Text = "No Read"
            End If
        End If
    End Sub
End Class
