'***************************************************************************
'* <Description>
'* NFCHelp.vb (Casio Computer Co., Ltd.)
'* -------------------------------------------------------------------------
'* <Function outline>
'* NFC IC Card reading help program
'* -------------------------------------------------------------------------
'* <Language>
'* VB.NET
'* -------------------------------------------------------------------------
'* <Develop Environment>
'* VS 2005
'* -------------------------------------------------------------------------
'* <Target>
'* DT-5300 CE model
'* -------------------------------------------------------------------------
'* Copyright(C)2009 CASIO COMPUTER CO.,LTD. All rights reserved.
'* -------------------------------------------------------------------------
'* <History>
'* Version  Date            Company     Keyword     Comment
'* 1.0.0    2009.10.14      CASIO       000000      Original      
'* 
'***************************************************************************/
Public Class NFCHelp
    Dim iCnt As Integer

    Private Sub NFCHelp_Closed(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Closed
        ShowTaskbar()
    End Sub

    Private Sub NFCHelp_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        iCnt = 0
        HideTaskbar()

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Close()
    End Sub

    Private Sub PictureBox1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles PictureBox1.Click
        iCnt = iCnt + 1
        iCnt = iCnt Mod 3

        Select Case iCnt
            Case 0
                PictureBox1.Image = PictureBox2.Image
            Case 1
                PictureBox1.Image = PictureBox3.Image
            Case 2
                PictureBox1.Image = PictureBox4.Image
        End Select
    End Sub

End Class