#include <windows.h>
#include <tchar.h>
#include <cfgmgrapi.h>
#include <connmgr.h>
#include <ras.h>
#include <raserror.h>

#ifndef __delete_connection_manager_entry_h__
#define __delete_connection_manager_entry_h__
		
struct XML_setting_info {
	wchar_t* lines;
	DWORD    line_arg_type;
};

#define XML_SETTING_STRING 			0
//!
#define XML_SETTING_ARG_NONE			0x00000000
#define XML_SETTING_ARG_ENTRYNAME		0x00000001
#define XML_SETTING_ARG_NETWORKGUID		0x00000002
#define XML_SETTING_ARG_APN_SETTING		0x00000003
#define XML_SETTING_ARG_CALLNUMBER		0x00000004
#define XML_SETTING_ARG_TAIL			0xFFFFFFFF
#define XML_SETTING_INFO_NUMBER (1)

#define MAX_LINE_LENGTH (1024)
#define MAX_PROV_LENGTH (4096)
#define MAX_GUID_STRING_LENGTH ( (42)*sizeof(wchar_t) )
//


static struct XML_setting_info XML_delete1[]={
	{TEXT("<wap-provisioningdoc>")								,XML_SETTING_ARG_NONE},
	{TEXT("<characteristic type=\"CM_PPPEntries\">")			,XML_SETTING_ARG_NONE},
	{TEXT("<nocharacteristic type=\"%s\" />")					,XML_SETTING_ARG_ENTRYNAME},
	{TEXT("</characteristic>")									,XML_SETTING_ARG_NONE},
	{TEXT("</wap-provisioningdoc>")								,XML_SETTING_ARG_NONE},
	{XML_SETTING_STRING											,XML_SETTING_ARG_TAIL} //end
};

bool delete_connection_manager_entry(wchar_t* szEntryName);
bool createPROVXML(wchar_t* pOut,unsigned long dwLength,struct XML_setting_info *setting,wchar_t* entry_name);

#endif //__delete_connection_manager_entry_h__

